org.eclipse.eef.properties.ui.api

## Interface IEEFTabbedPropertySheetPageContributor

All Known Implementing Classes:
  AbstractEEFTabbedPropertySheetPageContributorWrapper, EEFLegacyTabbedPropertySheetPageContributor

    public interface IEEFTabbedPropertySheetPageContributor

Interface for a workbench part to contribute content to the tabbed property view.

It is expected that the contributor ID is unique for a configuration of tabs and sections. Editors and views can share a configuration by sharing a contributor ID. Editors and views cannot share tabs and sections from multiple contributors.

As a workaround, if all the elements in a structured selection implement IEEFTabbedPropertySheetPageContributor and they all return the same unique contributor ID, then that configuration of tabs and sections will be used by the tabbed property view for that selection.

Since:
  1.6.0

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getContributorId()` Returns the contributor ID for the tabbed property sheet page.
`void` `updateFormTitle(org.eclipse.ui.forms.widgets.Form form, org.eclipse.jface.viewers.ISelection selection)` Updates the text and label.

### Method Detail

#### getContributorId

    java.lang.String getContributorId()

Returns the contributor ID for the tabbed property sheet page.

Returns:
  the contributor ID for the tabbed property sheet page.

#### updateFormTitle

    void updateFormTitle(org.eclipse.ui.forms.widgets.Form form,
                         org.eclipse.jface.viewers.ISelection selection)

Updates the text and label.

Parameters:
  `form` - The form
  `selection` - The current selection